CREATE procedure [C6Staging].[RP_ST_PosizioniPortafoglio]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_PosizioniPortafoglio',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_PosizioniPortafoglio
	insert into c6staging.RP_PosizioniPortafoglio
	select
		[chiavePosizionePtf]
      ,[chiaveProgetto]
      ,[dtInizioValidita]
      ,'99991231' as[dtFineValidita]
      ,[chiaveProdotto]
      ,[conto]
      ,[rubricato]
      ,[codConf]
      ,[numPolizza]
      ,[custGar]
      ,[codAbi]
      ,[termId]
      ,[anno]
      ,[prog]
	from [CONSUNI].[ConsulenzaUnica].dbo.PosizioniPortafoglio
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_PosizioniPortafoglio' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_PosizioniPortafoglio'
		)
end